// (c) Warelogic 2007
// Simple LPR use case

using System;
using System.Collections.Generic;
using System.Text;

// C# SimpleLPR sample

// Steps:
// Step 1. Add SimpleLPR.dll as a COM reference to your project

namespace Sample_CSharp
{
    class Program
    {
        static void Main(string[] args)
        {
            // Step 2. Create an instance of the LPR component
            SimpleLPRLib.LPR lpr = new SimpleLPRLib.LPRClass();

            // Step 3. Configure the license string.
            //lpr.License = "<TODO: place your license string here>";

            // Step 4. Launch a detection
            bool bOk = lpr.Analyze(@"..\..\..\LPs\PICT0060.JPG", (int)SimpleLPRLib.FileType.FILETYPE_JPEG);
            if (bOk)
            {
                // Step 5. Use results
                System.Console.WriteLine("License plate detected: {0}", lpr.LastDetectedPlate);
                System.Console.WriteLine("Rect: [({0},{1}),({2},{3})]", 
                                         lpr.LastDetectedPlate_Left,
                                         lpr.LastDetectedPlate_Top,
                                         lpr.LastDetectedPlate_Right,
                                         lpr.LastDetectedPlate_Bottom);
            }
            else
            {
                System.Console.WriteLine("License plate not found");
            }

            System.Console.ReadKey(true);
        }
    }
}
