// (c) Warelogic 2007
// Simple LPR use case

#include "stdafx.h"
#include <iostream>

// C# SimpleLPR sample

// Steps:
// Step 1. Import SimpleLPR.dll type library
#import "../../bin/SimpleLPR.dll"

int _tmain(int argc, _TCHAR* argv[])
{
	HRESULT hr = ::CoInitialize(NULL);
	if (FAILED(hr))
	{
		std::cerr << "Failed to initialize COM" << std::endl;
	}
	else
	{
		// Step 2. Create an instance of the LPR component
		SimpleLPRLib::ILPRPtr lpr;
		hr = lpr.CreateInstance(__uuidof(SimpleLPRLib::LPR));
		if (FAILED(hr))
		{
			std::cerr << "Unable to create instance of the LPR component" << std::endl;
		}
		else
		{
			// Step 3. Configure the license string.
			//lpr->License = "<TODO: place your license string here>";

			//// Step 4. Launch a detection
			VARIANT_BOOL vbOk = lpr->Analyze("..\\LPs\\PICT0060.JPG", SimpleLPRLib::FILETYPE_JPEG);
			if (vbOk == VARIANT_TRUE)
			{
				// Step 5. Use results
				std::cout << "License plate detected: " << (LPCSTR)lpr->LastDetectedPlate << std::endl;
				std::cout << "Rect: " << "[(" << lpr->LastDetectedPlate_Left << "," << lpr->LastDetectedPlate_Top << "),(";
				std::cout << lpr->LastDetectedPlate_Right << "," << lpr->LastDetectedPlate_Bottom << ")]" << std::endl;
			}
			else
			{
				std::cout << "License plate not found" << std::endl;

			}

			lpr.Release();
		}
		::CoUninitialize();
	}

	::getchar();

	return 0;
}

